package com.zhyc.module.produce.other.service;

import java.util.List;

import com.zhyc.module.produce.other.domain.ScCastrate;

/**
 * 去势Service接口
 *
 * @author ruoyi
 * @date 2025-07-09
 */
public interface IScCastrateService {
    /**
     * 查询去势
     *
     * @param id 去势主键
     * @return 去势
     */
    public ScCastrate selectScCastrateById(Long id);

    /**
     * 查询去势列表
     *
     * @param scCastrate 去势
     * @return 去势集合
     */
    public List<ScCastrate> selectScCastrateList(ScCastrate scCastrate);

    /**
     * 新增去势
     *
     * @param scCastrate 去势
     * @return 结果
     */
    public int insertScCastrate(ScCastrate scCastrate);

    /**
     * 修改去势
     *
     * @param scCastrate 去势
     * @return 结果
     */
    public int updateScCastrate(ScCastrate scCastrate);

    /**
     * 批量删除去势
     *
     * @param ids 需要删除的去势主键集合
     * @return 结果
     */
    public int deleteScCastrateByIds(Long[] ids);

    /**
     * 删除去势信息
     *
     * @param id 去势主键
     * @return 结果
     */
    public int deleteScCastrateById(Long id);

    List<String> searchEarNumbers(String query);
}
